#!/usr/bin/env -S awk -f

BEGIN {
    FS = ";"
}
{
    gsub(/ /,"",$13);
    gsub(/ /,"-",$7);
    gsub(/\//,"",$7);
    gsub(/\//,"-",$10);
    gsub(/ /,"-",$10);
    gsub(/\//,"-",$11);
    gsub(/ /,"-",$11);
    #split($13,ppd,"/");
    split($13,models,"/");
    hostname=$1;
    ip=$3;
    location=sprintf("%s, %s, %s, %s, %s", $7, $8, $9, $10, $11);
    model=$13
    ppd=models[1]
    ppdfile=sprintf("develop-%s.ppd", tolower(ppd));
    name=sprintf("%s-%s-%s-Develop-%s-%s", $7, $10, $11, ppd, $1)
}
NR!=1 && $3!="" && $13!="" {
    if (ppd == "ineo+458") {
        options = "-o Model=C458 -o Finisher=FS533 -o KOPunch=PK519-4";
    } else {
        options = "";
    }
    printf "echo \"%s\"; lpadmin -v ipp://%s -L \"%s\" -D \"Develop %s\" -p \"%s\" -m \"%s\" -E %s\n", hostname, ip, location, model, name, ppdfile, options;
}
